Bulletin d'alerte Debian

DSA-2078-1 kvirc -- Erreur de programmation

Date du rapport :
31 juillet 2010
Paquets concernés :
kvirc
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le dictionnaire CVE du Mitre : CVE-2010-2785.
Plus de précisions :

L'analyse incorrecte des commandes CTCP de KVIrc, un client IRC basé sur KDE, pourrait permettre l'exécution de commandes IRC arbitraires contre d'autres utilisateurs.

Pour la distribution stable (Lenny), ce problème a été corrigé dans la version 2:3.4.0-6.

Pour la distribution unstable (Sid), ce problème a été corrigé dans la version 4:4.0.0-3.

Nous vous recommandons de mettre à jour votre paquet kvirc.

Corrigé dans :

Debian GNU/Linux 5.0 (lenny)

Source :
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0.orig.tar.gz
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6.diff.gz
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6.dsc
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-data_3.4.0-6_all.deb
Alpha:
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6_alpha.deb
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-dev_3.4.0-6_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-dev_3.4.0-6_amd64.deb
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6_arm.deb
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-dev_3.4.0-6_arm.deb
ARM EABI:
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-dev_3.4.0-6_armel.deb
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6_armel.deb
HP Precision:
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6_hppa.deb
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-dev_3.4.0-6_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-dev_3.4.0-6_i386.deb
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6_ia64.deb
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-dev_3.4.0-6_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6_mips.deb
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-dev_3.4.0-6_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6_mipsel.deb
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-dev_3.4.0-6_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-dev_3.4.0-6_powerpc.deb
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6_s390.deb
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-dev_3.4.0-6_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/k/kvirc/kvirc_3.4.0-6_sparc.deb
http://security.debian.org/pool/updates/main/k/kvirc/kvirc-dev_3.4.0-6_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.